using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using LHDN.CRM.Web.Controllers;
using LHDN.CRM.Web.Filters;
using LHDN.CRM.BC.Common;

namespace LHDN.CRM.Web.Areas.User.Controllers
{
    public class RolesController : BaseController
    {
        // GET: User/Roles
        [CRMAuthorize(Constant.Authentication.Administration.ManageUserRole)]
        public ActionResult Listing()
        {
            return View("Listing");
        }

        [CRMAuthorize(Constant.Authentication.Administration.ManageUserRole)]
        public ActionResult Detail(string id)
        {
            ViewBag.FunctionalRoleID = id;

            AddAntiforgeryToken();
            return View("Detail");
        }

        [CRMAuthorize(Constant.Authentication.Administration.ManageUserRole)]
        public ActionResult FunctionalTask()
        {
            return View("FunctionalTask");
        }
    }
}